
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle SCN简述 / iVAN</title>

    <meta name="description" content="Oracle SCN简述 什么是SCN?  SCN即system change number,是一个用来维护数据改变版本的数字.其实可以等同于我们所认知的时间,但是若使用我们习惯的时间格式来做比较,数据库的工作量会很大.基于这一点,Oracle将每个时间转换成一个SCN号,使用SCN比较时间先后.SCN号可以和时间互相转换. SCN的特征 1.SCN和时间相关联,可互相转换 2.SCN只会增加,而不会减少.即使调整数据库服务器的时间,SCN依旧增长 3.SCN号与时间的对应关系,同数据库关联.即不同的数据库服务器,同样的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle SCN简述</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>什么是SCN？</h3>
<p> SCN即system change number，是一个用来维护数据改变版本的数字。其实可以等同于我们所认知的时间，但是若使用我们习惯的时间格式来做比较，数据库的工作量会很大。基于这一点，Oracle将每个时间转换成一个SCN号，使用SCN比较时间先后。SCN号可以和时间互相转换。</p>
<hr>
<h4>SCN的特征</h4>
<p>1.SCN和时间相关联，可互相转换<br />
2.SCN只会增加，而不会减少。即使调整数据库服务器的时间，SCN依旧增长<br />
3.SCN号与时间的对应关系，同数据库关联。即不同的数据库服务器，同样的SCN号，对应的时间不一定相同</p>
<blockquote><p> SCN号的作用是用来表示时间新旧。SCN号有个最大值，一个正常的数据库预备的SCN号可以使用500年，然而有些事故的发生会触发Oracle的某些bug，仍然可能导致SCN号猛增而到达上限，一旦出现这种事故，只能重建数据库。</p></blockquote>
<h4>SCN的类型</h4>
<p>1.系统SCN号（检查点SCN）<br />
    控制文件记录系统SCN号，标识数据库当前的系统时间</p>
<p>2.文件SCN号、起始SCN<br />
    每个数据文件头部记录着一个SCN，叫做起始SCN<br />
    控制文件记录数据文件的结构，以及数据文件的文件SCN及终止SCN<br />
    正常运行期间，系统SCN=文件SCN=起始SCN</p>
<p>3.终止SCN号<br />
    数据库正常关闭，系统SCN=文件SCN=起始SCN=终止SCN<br />
    数据库正常打开，系统SCN、文件SCN、起始SCN相同，而终止SCN为NULL。终止SCN可用来判断数据库是否正常关闭。</p>
<blockquote><p> 当数据库非正常关闭时，很多数据不能及时写入磁盘，包括应写入控制文件的信息，终止SCN为NULL，数据库再次启动时，SMON进程检查控制文件记录的SCN号，发现终止SCN为NULL后，知道数据库上次未进行正常关闭，SMON马上对数据库进行崩溃恢复；对于文件SCN，若数据库关闭期间进行了一个数据文件的restore，那么控制文件记录的数据文件的文件SCN肯定要新于restore的数据文件中的起始SCN，在数据库打开的时候，Oracle检测到数据文件是旧的，那么我们需要对数据文件进行recover，恢复到控制文件中与其它数据文件相同的状态；系统SCN号代表数据库的最新状态，用来判断文件是否是最新的。</p></blockquote>
<p>4.日志条目SCN<br />
 数据库server process对表的buffe进行DML操作时会产生日志，对每一行数据进行的每一次修改都会产生一条redo log，每条redo log记录着产生日志的时间，即操作发生的时间。数据库进行恢复的时候，根据redo log的SCN按操作发生的先后顺序进行恢复，即先将日志条目按SCN排好序，再进行恢复</p>
<p>5.first SCN、next SCN<br />
 对于current redo日志文件，first SCN记录着该文件中最早的日志的SCN，而next SCN为NULL，当日志写满该文件后，切换到下一组，这时，下一组文件成为current，之前的current成为active，写入新的current文件的最早的日志的SCN记入current文件的first SCN，同时记入上一组日志的next SCN。通过first SCN和next SCN可以将日志串联起来，同时记录着一组日志文件中日志产生的SCN的范围</p>
<p>6.提交SCN<br />
每个事物提交时，log buffer写入事务提交时的系统SCN</p>
<blockquote><p> 检查更新数据库中的SCN由检查点进程CKPT完成，一般来讲，redolog中的SCN要大于数据库中的SCN，虽然redolog记录的SCN新于数据库，但是对于一个正常运行的数据库，系统SCN，文件SCN以及数据文件中的起始SCN仍然一致，SCN号存在的意义就是为了保证数据库的一致性，因此没必要实时更新，并且实时更新对CKPT会产生相当大的工作负载。正常运行期间，系统SCN与控制文件及数据文件中记录的SCN均为redolog file中最早的组（ACTIVE）的first SCN，当redolog file全部用完，需要覆盖使用时，CKPT会将数据库中一切的SCN号更新为覆盖之后的文件的first SCN，将数据库全部刷新，而数据库下次刷新则是在这个文件再次被覆盖的时候。另外，redolog file被归档也会触发CKPT。</p></blockquote>
<h3>查看SCN</h3>
<p>1.查看系统SCN号<br />
select a.CHECKPOINT_CHANGE# from v$database a;<br /><a href="https://yqfile.alicdn.com/0434350370021dc3018fda6848bd40176d131207.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA0MzQzNTAzNzAwMjFkYzMwMThmZGE2ODQ4YmQ0MDE3NmQxMzEyMDcuanBlZw==.jpg"></a></p>
<p>2.查看控制文件记录的数据文件的文件SCN和终止SCN<br />
select CHECKPOINT_CHANGE#,LAST_CHANGE# from v$datafile ;<br /><a href="https://yqfile.alicdn.com/83c4e5c3bd429747abf825dbc4b2914ad97daeec.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzgzYzRlNWMzYmQ0Mjk3NDdhYmY4MjVkYmM0YjI5MTRhZDk3ZGFlZWMuanBlZw==.jpg"></a></p>
<p>3.查看数据文件头部记录的起始SCN<br />
select CHECKPOINT_CHANGE# from v$datafile_header;<br /><a href="https://yqfile.alicdn.com/772688035ee45b25867e7305461f4f890bd05fe6.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzc3MjY4ODAzNWVlNDViMjU4NjdlNzMwNTQ2MWY0Zjg5MGJkMDVmZTYuanBlZw==.jpg"></a></p>
<p> 我们可以看出，数据库中的SCN号一致，由于数据库处于运行期间，故控制文件中的last_change#并未记录信息，为NULL</p>
<p>4.查看redolog file的SCN<br />
select group#,status,first_change#,next_change# from v$log;<br /><a href="https://yqfile.alicdn.com/ab081533a65e842811dca47885c9b8776193581a.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2FiMDgxNTMzYTY1ZTg0MjgxMWRjYTQ3ODg1YzliODc3NjE5MzU4MWEuanBlZw==.jpg"></a></p>
<p>第二组文件为current，故next_change#标识为无穷大<br />
由于数据库自开启自现在，一直在使用2号redolog file，故系统SCN及数据库SCN保持着current redo的first_change#</p>
<p>接下来我们切换两次日志</p>
<pre><code>SQL&gt; alter system switch logfile;

System altered.

SQL&gt; /

System altered.
</code></pre>
<p><a href="https://yqfile.alicdn.com/faca60368350eab217955883fdb3db8d40200d51.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ZhY2E2MDM2ODM1MGVhYjIxNzk1NTg4M2ZkYjNkYjhkNDAyMDBkNTEucG5n.jpg"></a><br />
 现在2号文件状态为ACTIVE，而CURRENT 文件变成了1号，数据库SCN此时并未改变。一段时间后，ACTIVE被归档，如下图，<br /><a href="https://yqfile.alicdn.com/761f73db2b2ec78583f78439b5fae975d4cb09d2.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzc2MWY3M2RiMmIyZWM3ODU4M2Y3ODQzOWI1ZmFlOTc1ZDRjYjA5ZDIucG5n.jpg"></a></p>
<p>此时，再查看数据库的SCN，统一更新为6940929<br /><a href="https://yqfile.alicdn.com/9b47f11a18e925a28a2ab390d7797a80776f942f.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzliNDdmMTFhMThlOTI1YTI4YTJhYjM5MGQ3Nzk3YTgwNzc2Zjk0MmYucG5n.jpg"></a><br /><a href="https://yqfile.alicdn.com/ca4a5a27d2da63e04cecf70d48b74da70241de83.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2NhNGE1YTI3ZDJkYTYzZTA0Y2VjZjcwZDQ4Yjc0ZGE3MDI0MWRlODMucG5n.jpg"></a></p>
<p>5.查看归档日志的SCN<br />
select a.SEQUENCE#,a.FIRST_CHANGE#,a.NEXT_CHANGE# from v$archived_log a;<br /><a href="https://yqfile.alicdn.com/cdc47d8b027ac9ab285650ab3e4d5ce0a2f397ca.jpeg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2NkYzQ3ZDhiMDI3YWM5YWIyODU2NTBhYjNlNGQ1Y2UwYTJmMzk3Y2EuanBlZw==.jpg"></a></p>
<p>使用LogMiner挖掘日志中的SCN<br /><a href="https://yqfile.alicdn.com/5d94353c06a90d00d88a2422ca08bb0b950bac4f.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzVkOTQzNTNjMDZhOTBkMDBkODhhMjQyMmNhMDhiYjBiOTUwYmFjNGYucG5n.jpg"></a></p>
<h3>SCN与时间的相互转换</h3>
<p>1.查询当前系统的SCN，即使用timestamp_to_scn将system转换成SCN<br />
select dbms_flashback.get_system_change_number SCN1,timestamp_to_scn(sysdate) SCN2 from dual;<br /><a href="https://yqfile.alicdn.com/9ce72dc59dd1d344496adc4b0f6484267091431f.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzljZTcyZGM1OWRkMWQzNDQ0OTZhZGM0YjBmNjQ4NDI2NzA5MTQzMWYucG5n.jpg"></a></p>
<p>2.使用scn_to_timestamp将SCN转换成时间<br />
select to_char(scn_to_timestamp(6940259),'YYYY-MM-DD HH24:MI:SS') from dual;<br /><a href="https://yqfile.alicdn.com/25466be87657d659a8246b8a7be3e25319eab159.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzI1NDY2YmU4NzY1N2Q2NTlhODI0NmI4YTdiZTNlMjUzMTllYWIxNTkucG5n.jpg"></a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 01:10:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e4%b8%8e%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据存储与数据库">数据存储与数据库</a>, <a href="https://www.iamivan.net/tag/file/" title="file">file</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/log/" title="LOG">LOG</a>, <a href="https://www.iamivan.net/tag/scn/" title="scn">scn</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle SCN简述的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRv0az.html" rel="bookmark">Oracle SCN与数据恢复的关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle内部主要存在以下四种SCN 1.系统检查点(system checkpoint)SCN 每当一个 检查点完成时,Oracle就把该检查点对应的SCN记录到控制文件中,可以用以下语句查看当前 数据库的检查点SCN: select CHECKPOINT_CHANGE# from v$database; CHECKPOINT_CHANGE# ------------------ 6627441168 2.数据文件头 SCN(数据文件的启动SCN) 该SCN记录在每个数据文件头中,正常情况下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlKYxb.html" rel="bookmark">oracle SCN怎么取出来存在一个变量里面？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 oracle SCN怎么取出来存在一个变量里面? 如题,我想在一个表里记录SCN号,如何把它放在一个变量里? declare SCNNUM NUMBER; begin select dbms_flashback.get_system_change_number into SCNNUM from dual ; [Error] ORA-00904 (12: 8): PL/SQL: ORA-00904: : invalid identifier WHY?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9XoV4b.html" rel="bookmark">【体系结构】有关Oracle SCN知识点的整理--补充内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[体系结构]有关Oracle SCN知识点的整理--补充内容   小麦苗自己整理的内容参考:[体系结构]有关Oracle SCN知识点的整理  http://blog.itpub.net/26736162/viewspace-2126407/ DBA入门之认识Oracle SCN(System Change Number) 1. SCN的定义 SCN(System Change Number),也就是通常所说的系统改变号,是数据库中非常重要的一个数据结构. SCN用以标识数据库在某个确切时刻提交			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEVvJb.html" rel="bookmark">Oracle SCN知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.SCN是什么?(system change number/system commit number) 2字节为Wrap(进位值)+4字节为Base(底值) select current_scn,dbms_flashback.get_system_change_number,to_char(sysdate,'yyyy-mm-dd hh24:mi:ss'),scn_to_timestamp(dbms_flashback.get_system_change_number)  from v$data			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AqQDp.html" rel="bookmark">oracle检查点及oracle SCN知识详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.检查点概述 大多数关系型数据库都采用&quot;在提交时并不强迫针对数据块的修改完成&quot;而是&quot;提交时保证修改记录(以重做日志的形式)写入日志文件&quot;的机制,来获得性能的优势.这句话的另外一种描述是:当用户提交事务,写数据文件是&quot;异步&quot;的,写日志文件是&quot;同步&quot;的.这就可能导致数据库实例崩溃时,内存中的DB_Buffer 中的修改过的数据,可能没有写入到数据块中.数据库在重新打开时,需要进行恢复,来恢复DB Buffer 中的数据状态,并确			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kn64z.html" rel="bookmark">如何理解Oracle SCN</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统检查点scn(v$database(checkpoint_change#)) 数据文件检查点(v$datafile(checkpoint_change#)) 数据文件终止scn(v$datafile(last_change#)) 数据文件中存放的检查点 启动scn (v$datafile_header(checkpoint_change#) 1.系统检查点scn 当一个检查点动作完成之后,Oracle就把系统检查点的SCN存储到控制文件中. select checkpoint_change#			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9ElJgM.html" rel="bookmark">深入剖析 - Oracle SCN机制详细解读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SCN介绍 SCN即系统改变号(System Change Number),是在某个时间点定义数据库已提交版本的时间戳标记. Oracle为每个已提交的事务分配一个唯一的SCN. SCN的值是对数据库进行更改的逻辑时间点. Oracle使用此编号记录对数据库所做的更改.在数据库中,SCN也可以说是无处不在,数据文件头,控制文件,数据块头,日志文件等等都标记着SCN.也正是这样,数据库的一致性维护和SCN密切相关.不管是数据的备份,恢复都是离不开SCN的. SCN是一个6字节(48bit)的数字,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqOmkez.html" rel="bookmark">oracle SCN跟TIMESTAMP之间转换&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Sql代码 --获取当前的SCN 复制代码 代码如下: select dbms_flashback.get_system_change_number scn1, timestamp_to_scn(sysdate) scn2 from dual; --将SCN转换成功时间 复制代码 代码如下: select to_char(scn_to_timestamp(34607271), 'yyyy-mm-dd hh24:mi:ss') chr, timestamp_to_scn(scn_to_timest			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV955Vp.html" rel="bookmark">关于oracle SCN 的讨论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.SCN存在redo log文件,control文件.数据文件;2.oracle正常运行时,control文件的SCN是个很大的数,与redo log文件.数据文件的SCN不同,正常关闭时,做完checkpoint后,三者的SCN值相同;日志文件中scn有起始和结束2个(高低),在current log中高scn同样为 无穷大 3.当一个事务commit成功时,redo log文件中的SCN+1,当该事务所做的修改写入数据文件后,数据文件的SCN+1: commit的时候加一,其他很多时候			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr0gyz.html" rel="bookmark" class="title">如何配置IIS让一个站点支持多个二级域名</a>
					<div>
						您有两种办法可以在同一个系统中同时安装配置多个站点,比如:bbs.alixixi.com,和www.alixixi.com为不同站点分配不同 IP 地址:或者为不同站点配置不同主机头.如果您的服务器有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmlv5M.html" rel="bookmark" class="title">跨平台的应用开发工具和前端开发工具</a>
					<div>
						文章描述:前端开发者的跨平台移动应用开发策略及工具. 愉悦的周五,早些回到家,冲澡吃饭照顾猫咪家务完毕已然超过九点的样子.登录博客后台,进入编辑页面,才觉得些许轻松安逸.不坏,一天里能有这么一会沉浸在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2LXVp.html" rel="bookmark" class="title">王志东再创业：带着Lava-Lava重战网络江湖</a>
					<div>
						一件粉红T恤.一条休闲长裤.标志性的谦逊的笑,6月13日下午,沉寂许久的点击科技董事长王志东又现身江湖. 这次王带来一个完全互联网化的产品--即时通讯Lava-Lava平台.&quot;我希望通过La ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4E2qb.html" rel="bookmark" class="title">浅谈网站优化的内容取胜之道</a>
					<div>
						  作为专职seoer,和众多站长一样,都会面临着网站内容的获取,我们都知道百度对网站的内容要求较高,有了源源不断的内容,网站排名也会非常容易做,而且有了独一无二的内容,网站的长尾关键词会带来非常可观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp53ARb.html" rel="bookmark" class="title">Microsoft Visual Studio &period;NET 2003制作安装程序</a>
					<div>
						visual|程序 做B/S项目已经很久了,总是羡慕应用软件漂亮的安装程序,也见到有一些使用InstallShield来做B/S系统安装程序,听说设置有点繁复,一直没有去研究它.最近新做了一个ASP. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R2Brp.html" rel="bookmark" class="title">Cacti监控安装完成后导入Nginx监控模板发生的问题</a>
					<div>
						环境: Ubuntu server 12.04 x64 Cacti-0.8.8a 今天安装了Cacti监控,安装完成后,导入Nginx监控模板,发现监控的时候,一直不出图,很是郁闷.结果在系统时面直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91LkXM.html" rel="bookmark" class="title">Flash实例教程：制作GIF动画</a>
					<div>
						用FLASH制作GIF和PS相比有利也有弊,本实例主要使用Flash来制作牛丑丑的表情,下面就让我们一起来学习. 先上最终GIF 下面是教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj76GZM.html" rel="bookmark" class="title">PPT中如何让背景音乐播放和停止</a>
					<div>
						  由于幻灯片中的版块内容比较多,所以想为不同的版块呈现不同的效果,随之而来的是背景音乐的分割也要不同,那么如何让插入的音乐在恰当的位置停止和播放呢?貌似这个问题难住了很多朋友.例如设置了某个背景音乐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKY09M.html" rel="bookmark" class="title">笔记本触摸板失灵情况的全面解析及解决方法</a>
					<div>
						在本篇教程中将会为大家介绍的是笔记本触摸板失灵的几种情况以及解决的方法! 笔记本触摸板失灵 首先我们来说说产生笔记本触摸板失灵的原因主要有哪些? ⒈)可能是触摸板驱动程序受到损坏或者用户不小心卸载掉了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKlm4M.html" rel="bookmark" class="title">小黑马重装大师好用吗&quest;</a>
					<div>
						  1. 无需任何技术基础,无需任何硬件辅助,随时随地自己动手重装系统. 2. 丰富的系统版本可供选择,想安装哪个就点哪个下载安装,一切自由掌控. 3. 根据需求一键备份电脑C盘数据,重装系统前后重要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKrwJM.html" rel="bookmark" class="title">XP系统提示&OpenCurlyDoubleQuote;本次操作由于这台计算机的限制而被取消&rdquo;的解决方法</a>
					<div>
						现在还有很多的用户仍然使用着windows xp系统,有用户反映在双击电脑磁盘或是点击应用软件的时候,系统会弹出&quot;本次操作由于这台计算机的限制而被取消,请与他的系统管理员联系&quot;的提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNJ8rM.html" rel="bookmark" class="title">Python将时长转换为MM&colon;SS格式</a>
					<div>
						# -*- coding:utf-8 -*- #Auth:Jeson                                       def fmt_duration(seconds):  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ2Wdb.html" rel="bookmark" class="title">Mysql命令</a>
					<div>
						Mysql命令 use &lt;dbname&gt; [LIKE wild]; show tables; show databases; ?/help; exit/quit; mysqladmin v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkqx2b.html" rel="bookmark" class="title">关于ajax以及struts2返回数据的问题</a>
					<div>
						问题描述 关于ajax以及struts2返回数据的问题 在struts2框架下,可以向前台直接返回数据(感觉上是这样的), 但是在使用ajax技术中,为什么不能直接返回数据(对象)呢? 例如:从后台传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW771p.html" rel="bookmark" class="title">互联网深刻变革：世界正向黑客帝国演进</a>
					<div>
						2015年中国互联网大会于7月23日在北京国家会议中心闭幕了,很显然,由于去年办过一次世界互联网大会(乌镇),互联网巨头对中国互联网大会已经不那么在意了,愿意发出声音宣传自己的往往是新公司.每一次参加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y435M.html" rel="bookmark" class="title">B - Pairs Forming LCM&mdash;&mdash;（LightOJ 1236）</a>
					<div>
						传送门 password:nefu Find the result of the following code: long long pairsFormLCM( int n ) { long long ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rlPWz.html" rel="bookmark" class="title">从微软切断古巴等五国MSN服务看垄断霸权</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 站长网30日消息,古巴所有MSN即时通讯账号眼下都处于离线状态,因为美国微软公司切断了连接古巴的MSN网络服务端口,遭遇同样对待的还有叙利亚.伊朗.苏丹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeXvyb.html" rel="bookmark" class="title">【SSH系列】Hibernate映射 -- 一对一单向关联映射</a>
					<div>
						       映射原理       一对一关联映射:两个实体对象之间是一对一的关联映射,即一个对象只能与另外唯一的一个对象相对应.有两种策略可以实现一对一的关联映射:       a.主键关联:即让两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg7wvM.html" rel="bookmark" class="title">Javascript数组的排序 sort&lpar;&rpar;方法和reverse&lpar;&rpar;方法&lowbar;javascript技巧</a>
					<div>
						其中: 1.JavaScript的sort()中如果没有指定比较函数,则默认会按照字符的编码顺序进行升序排序.也就是说如果我们想要对数值进行排序得到的不一定是我们想要的结果. 2.Javascript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEkgQM.html" rel="bookmark" class="title">苹果Siri个人助理服务仅适用于iPhone4S</a>
					<div>
						新浪科技讯 北京时间10月5日早间消息,最新消息显示,只有iPhone 4S的用户才可以使用苹果最新推出的Siri个人助理语音服务. Siri已被集成在许多应用中,该软件能够在iPhone 4S和苹果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodynBM.html" rel="bookmark" class="title">插入一条记录的语句&comma;显示标准表达式中数据类型不匹配。大家帮我看看那里错了&quest;谢谢</a>
					<div>
						问题描述 在Click事件中插入一条记录.其中quesion表中的queNo字段为数字,queTxt为字符.函数如下,执行的时候提示标准表达式中数据类型不匹配.privatevoidaddQueBtn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RGkWz.html" rel="bookmark" class="title">腾讯宣布应用宝10月份日分发量突破一亿</a>
					<div>
						腾讯全球合作伙伴大会召开,腾讯宣布应用宝10月份日分发量突破一亿.在今年1月,腾讯COO任宇昕表示应用宝在2014年的目标为达到一亿分发量.在7月份的ChinaJoy上,腾讯宣布应用宝分发量达到760 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl8jvp.html" rel="bookmark" class="title">Twitter拓展广告业务：根据用户消息精准定向</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Twitter新的广告模式,根据用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8mgob.html" rel="bookmark" class="title">iOS让软键盘消失的简单方法&lowbar;IOS</a>
					<div>
						一些文本输入控件等待输入时会弹出软键盘,我们可以设置这些控件的Did End On Exit之类的回调方法以在用户点击软键盘上的done或return之列的按键时收起键盘. 不过某些时候有些键盘没有上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEejOz.html" rel="bookmark" class="title">js实现倒计时时钟的示例代码&lowbar;javascript技巧</a>
					<div>
						如下所示: 复制代码 代码如下: &lt;!--将以下代码加入HTML的&lt;Body&gt;&lt;/Body&gt;之间--&gt; &lt;SCRIPT language=JavaScript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8QeOb.html" rel="bookmark" class="title">在c&num;中如何用gdi&plus; 画出柱形图，和饼形图，能不能提供点详细的代码？</a>
					<div>
						问题描述 在c#中如何用gdi+画出柱形图,和饼形图,能不能提供点详细的代码? 解决方案 解决方案二:Bitmapbmp=newBitmap(Width,Height);Graphicsg=Graph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8k0Ob.html" rel="bookmark" class="title">&period;net string类型的图片路径能复制图片么？</a>
					<div>
						问题描述 stringtp=&quot;&quot;+T_KQ_xs.Rows[0][&quot;photo_path2&quot;].ToString().Trim()+&quot;&quot;;i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4LlOb.html" rel="bookmark" class="title">Android应用框架之应用启动过程</a>
					<div>
						在Android的应用框架中,ActivityManagerService是非常重要的一个组件,尽管名字叫做ActivityManagerService,但通过之前的博客介绍,我们知道,四大组件的创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Ngqkp.html" rel="bookmark" class="title">mac系统下maven的配置使用</a>
					<div>
						前置条件  1.jdk配置成功 作者本人环境配置  1.MacBook Pro (13-inch, Late 2016, Four Thunderbolt 3 Ports)  2.mac Sierra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn41y2b.html" rel="bookmark" class="title">普华永道：2013年中国娱乐媒体市场超千亿美元</a>
					<div>
						每经记者 马骏骎 普华永道昨日发布的&lt;全球娱乐及媒体行业2009~2013年展望报告&gt;预测,未来5年中,全球娱乐及媒体市场将以2.7%的年平均复合增长率增长,到2013年将达到1.6万亿美 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
